<?php

$HOSTNAME = "localhost";
$USERNAME = "useromar";
$USERPASSWORD = "pwdromeo";
$DATABASE = "bdcapacitacionkyk";
$CON = mysql_connect($HOSTNAME, $USERNAME, $USERPASSWORD);
mysql_select_db($DATABASE, $CON);
//mysql_query("SET NAMES utf8");
mysql_query("SET character_set_results = 'utf8', character_set_client = 'utf8', character_set_connection = 'utf8', character_set_database = 'utf8', character_set_server = 'utf8'", $CON);
				
$query = "SELECT t1.*, t2.strTitulo as strDepartamento, (SELECT count(intMensaje) FROM tblmensajes t3 WHERE t3.intDocumento = t1.intDocumento) as intMensajes  
FROM tbldocumentos t1 inner join tbltipousuarios t2 ON (t1.intDepartamento=t2.intTipoUsuario)";

$queryResult = mysql_query($query);	
$totalRows = mysql_num_rows($queryResult);
					
$sJSON = 'NO HAY CONEXION';

if($totalRows > 0){
	$sJSON = '{"Items":[';

	while($data = mysql_fetch_assoc($queryResult)){
		$Entrar = true;	
	
		$strUrlArchivo = $data["strUrlArchivo"];
								
		if($Entrar){
			
			$query2 = "SELECT t1.intUsuario 
			FROM tblactividad t1  
			WHERE t1.intDocumento = ". $data['intDocumento'];

			$queryResult2 = mysql_query($query2);	
			$totalRows2 = mysql_num_rows($queryResult2);
								
			$arrUsuarios = '';
			
			if($totalRows2 > 0){
		
				while($data2 = mysql_fetch_assoc($queryResult2)){
					//$arrUsuarios .= '{'. $data2['intUsuario'] .'},' ;
					$arrUsuarios .= $data2['intUsuario'] .',' ;
				}
				$arrUsuarios = substr($arrUsuarios, 0, -1);
				
			}
			
			$sJSON .= "{";
				$sJSON .= '"intDocumento":"'.$data['intDocumento'].'"';
				$sJSON .= ',"strNombre":"'.$data['strNombre'].'"';
				$sJSON .= ',"strDescripcion":"'.$data['strDescripcion'].'"';
				$sJSON .= ',"strCodigo":"'.$data['strCodigo'].'"';
				if($strUrlArchivo!="" && $strUrlArchivo!=NULL){
					$sJSON .= ',"strUrlArchivo":"'.$strUrlImages.$strUrlArchivo.'"';
				}else{
					$sJSON .= ',"strUrlArchivo":""';
				}
				$sJSON .= ',"intDepartamento":"'.$data[ "intDepartamento" ].'"';
				$sJSON .= ',"strDepartamento":"'.$data[ "strDepartamento" ].'"';
				$sJSON .= ',"bitActivo":"'.$data[ "bitActivo" ].'"';
				$sJSON .= ',"bitComentarios":"'.$data[ "bitComentarios" ].'"';
				$sJSON .= ',"datFechaAlta":"'.$data[ "datFechaAlta" ].'"';

				$sJSON .= ',"intMensajes":"'.$data[ "intMensajes" ].'"';

				if(isset($_REQUEST['intUsuario'])){ 
					$sJSON .= ',"datInicioLectura":"'.$data[ "datInicioLectura" ].'"';
					$sJSON .= ',"datFechaLeido":"'.$data[ "datFechaLeido" ].'"';
				}
				
				$sJSON .= ',"arrUsuarios":['. $arrUsuarios .']';
				
			$sJSON .= "},";
			
		}
	}
	
	$sJSON = substr($sJSON, 0, -1);

	$sJSON .= "]}";
}

mysql_free_result ( $queryResult );

print($sJSON);

?>